org.eclipse.cdt.utils.debug

## Class DebugEnumType

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugType
  - - org.eclipse.cdt.utils.debug.DebugEnumType

    public class DebugEnumType
    extends DebugType

DebugEnumType

### Constructor Summary

Constructors
Constructor and Description
`DebugEnumType(String name, DebugEnumField[] fields)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DebugEnumField[]` `getDebugEnumFields()`
`String` `getName()`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DebugEnumType

    public DebugEnumType(String name,
                         DebugEnumField[] fields)

### Method Detail

#### getDebugEnumFields

    public DebugEnumField[] getDebugEnumFields()

#### getName

    public String getName()